<?php namespace App\Controllers;

class Front extends BaseController
{
	public function index()
	{
		$domainModel = model("DomainModel");
		$domain = $domainModel->asArray()->where("name", $this->request->getVar("domain"))->findAll();
		$domain = count($domain) > 0 ? $domain[0] : null;
		$data["language"] = $this->request->getVar("language");
		if(isset($domain["name"])) {
			$data["domain"] = $domain;
			if(front_domain_limit == "-1") {
				$data["domains"] = $domainModel->asArray()->orderBy("id","RANDOM")->where("name != '".$domain["name"]."'")->findAll();
			}
			else {
				$data["domains"] = $domainModel->asArray()->orderBy("id","RANDOM")->where("name != '".$domain["name"]."'")->findAll((int)front_domain_limit);
			}
			return view("front", $data);
		}
		else {
			return "Invalid domain.";
		}
	}
	public function offer() {
		$domainModel = model("DomainModel");
		$domain = $domainModel->asArray()->where("name", $this->request->getVar("domain"))->findAll();
		$domain = count($domain) > 0 ? $domain[0] : null;
		$v_response = true;
		if(recaptcha_enabled == "1") {
			$verify = curl_init();
			curl_setopt($verify, CURLOPT_URL, "https://www.google.com/recaptcha/api/siteverify");
			curl_setopt($verify, CURLOPT_POST, true);
			curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query([
				"secret" => recaptcha_secret_key,
				"response" => $this->request->getVar("g-recaptcha-response")
			]));
			curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($verify, CURLOPT_RETURNTRANSFER, true);
			$v_response = json_decode(curl_exec($verify), true)["success"];
		}
		if($v_response && isset($domain["name"]) && !empty($this->request->getVar("name")) && !empty($this->request->getVar("email")) && !empty($this->request->getVar("offer")) && ((int)$this->request->getVar("offer") >= $domain["price"]) && ((int)$this->request->getVar("offer") >= $domain["min_offer"])) {
			$offerModel = model("OfferModel");
			$offerModel->insert([
				"name" => strip_tags($this->request->getVar("name")),
				"email" => strip_tags($this->request->getVar("email")),
				"domain" => $domain["name"],
				"phone" => strip_tags($this->request->getVar("phone")),
				"offer" => (int)$this->request->getVar("offer"),
				"message" => strip_tags($this->request->getVar("message")),
				"date" => time(),
				"seen" => 0
			]);
			$notification_text = sprintf(lang("Common.tg_notification_text"), $domain["name"], strip_tags($this->request->getVar("name")), base_url("offers"));
			if(email_notifications == "1") {
				$email = \Config\Services::email();
				$email->initialize([
					"protocol" => "smtp",
					"SMTPHost" => smtp_host,
					"SMTPUser" => smtp_user,
					"SMTPPass" => smtp_password,
					"SMTPPort" => smtp_port
				]);
				$email->setFrom(smtp_user, site_name);
				$email->setTo(notification_mail);
				$email->setSubject($domain["name"]);
				$email->setMessage($notification_text);
				$email->send();	
			}
			if(telegram_notifications == "1") {
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, "https://api.telegram.org/bot".telegram_bot_token."/sendMessage?".http_build_query(["text" => $notification_text, "chat_id" => telegram_chat_id]));
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($ch, CURLOPT_HEADER, 0);
				curl_exec($ch);
				curl_close($ch);
			}
			return $this->response->setJSON([
				"success" => true,
				"title" => lang("Front.offer_saved"),
				"message" => lang("Front.offer_saved_message")
			]);
		}
		else {
			return $this->response->setJSON([
				"success" => false,
				"title" => lang("Front.empty_fields"),
				"message" => lang("Front.empty_fields_message")
			]);
		}
	}
}
