<?php namespace App\Controllers;

class Panel extends BaseController
{
	public function __construct() {
		$this->session = session();
		if(!$this->session->has("login")) {
			header("Location: ".base_url("login"));
			exit;
		}
		$this->domainModel = model("DomainModel");
		$this->offerModel = model("OfferModel");
	}
	public function index()
	{
		$data["title"] = lang("Common.dashboard");
		$data["page"] = "dashboard";
		$data["new_offer_count"] = count($this->offerModel->where("seen", 0)->findAll());
		$data["domain_count"] = count($this->domainModel->findAll());
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "https://lisans.burak.work/domain.json");
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		$output = curl_exec($ch);
		if ($output === FALSE) {
		$data["update"] = [
			"version" => 0,
			"announcement" => "Duyuru sunucusuna bağlanılamadı!",
			"announcement_date" => date("d/m/Y")
		];
		}
		else {
			$data["update"] = json_decode($output, true);
		}
		curl_close($ch);
		return view("header", $data).view("home").view("footer");
	}
	public function domains()
	{
		$data["title"] = lang("Common.domains");
		$data["page"] = "domains";
		$data["domains"] = $this->domainModel->orderBy("id","desc")->findAll();
		return view("header", $data).view("domains").view("footer");
	}
	public function offers()
	{
		$data["title"] = lang("Common.offers");
		$data["page"] = "offers";
		$data["offers"] = $this->offerModel->orderBy("id","desc")->findAll();
		return view("header", $data).view("offers").view("footer");
	}
	public function add_domain()
	{
		$data["title"] = lang("Common.add_domain");
		$data["page"] = "domains";
		return view("header", $data).view("add_domain").view("footer");
	}
	public function edit_domain($id)
	{
		$domain = $this->domainModel->find($id);
		if(isset($domain["id"])) {
			$data["title"] = lang("Common.edit_domain");
			$data["page"] = "domains";
			$data["domain"] = $domain;
			return view("header", $data).view("edit_domain").view("footer");	
		}
		else {
			header("Location: ".base_url("domains"));
			exit;
		}
	}
	public function menu()
	{
		$data["title"] = lang("Common.menu_settings");
		$data["page"] = "menu";
		return view("header", $data).view("menu_settings").view("footer");
	}
	public function telegram_settings()
	{
		$data["title"] = lang("Common.telegram_settings");
		$data["page"] = "telegram_settings";
		return view("header", $data).view("telegram_settings").view("footer");
	}
	public function email_settings()
	{
		$data["title"] = lang("Common.email_settings");
		$data["page"] = "email_settings";
		return view("header", $data).view("email_settings").view("footer");
	}
	public function recaptcha_settings()
	{
		$data["title"] = lang("Common.recaptcha_settings");
		$data["page"] = "recaptcha_settings";
		return view("header", $data).view("recaptcha_settings").view("footer");
	}
	public function general_settings()
	{
		$data["title"] = lang("Common.general_settings");
		$data["page"] = "general_settings";
		return view("header", $data).view("general_settings").view("footer");
	}
	public function profile_settings()
	{
		$data["title"] = lang("Common.admin_profile");
		$data["page"] = "profile_settings";
		return view("header", $data).view("profile_settings").view("footer");
	}
	public function logout() {
		$this->session->remove("login");
		header("Location: ".base_url("login"));
		exit;
	}
}
