<?php namespace App\Controllers;

class PanelAjax extends BaseController
{
	public function __construct() {
		$this->session = session();
		if(!$this->session->has("login")) {
			header("Location: ".base_url("login"));
			exit;
		}
		$this->domainModel = model("DomainModel");
		$this->offerModel = model("OfferModel");
	}
	public function delete_domain($id)
	{
		$this->domainModel->delete($id);
	}
	public function delete_offer($id)
	{
		$this->offerModel->delete($id);
	}
	public function seen_offer($id)
	{
		$this->offerModel->update($id, ["seen" => 1]);
	}
	public function add_domain() {
		if(!empty($this->request->getVar("domain")) && is_numeric($this->request->getVar("price"))) {
			$this->domainModel->insert([
				"name" => strip_tags($this->request->getVar("domain")),
				"price" => $this->request->getVar("selling_type") == "0" ? 0 : $this->request->getVar("price"),
				"min_offer" => $this->request->getVar("selling_type") == "1" ? 0 : $this->request->getVar("price")
			]);
			return $this->response->setJSON([
				"success" => true,
				"title" => lang("Common.domain_added"),
				"message" => lang("Common.domain_added_message")
			]);
		}
	}
	public function edit_domain($id) {
		if(!empty($this->request->getVar("domain")) && is_numeric($this->request->getVar("price"))) {
			$this->domainModel->update($id, [
				"name" => strip_tags($this->request->getVar("domain")),
				"price" => $this->request->getVar("selling_type") == "0" ? 0 : $this->request->getVar("price"),
				"min_offer" => $this->request->getVar("selling_type") == "1" ? 0 : $this->request->getVar("price")
			]);
			return $this->response->setJSON([
				"success" => true,
				"title" => lang("Common.domain_edited"),
				"message" => lang("Common.domain_edited_message")
			]);
		}
	}
	public function download_file() {
		$code = '<?php'.PHP_EOL;
		$code .= '$e = ""; if(isset($_GET["language"])) {$e = "&language=".$_GET["language"];}'.PHP_EOL;
		$code .= '$ch = curl_init("'.base_url().'"."/front?domain=".$_SERVER["HTTP_HOST"].$e);'.PHP_EOL;
		$code .= 'curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);'.PHP_EOL;
		$code .= 'curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);'.PHP_EOL;
		$code .= 'curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);'.PHP_EOL;
		$code .= '$output = curl_exec($ch);'.PHP_EOL;
		$code .= 'curl_close($ch);'.PHP_EOL;
		$code .= 'echo $output;'.PHP_EOL;
		$code .= '?>';
		header('Content-Description: File Transfer');
		header('Content-Type: application/octet-stream');
		header('Content-Disposition: attachment; filename=index.php'); 
		header('Content-Transfer-Encoding: binary');
		header('Connection: Keep-Alive');
		header('Expires: 0');
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Pragma: public');
		header('Content-Length: '.strlen($code));
		echo $code;
		exit;
	}
	public function settings_save($page)
	{
		foreach(array_keys($_POST) as $p) {
			$db = \Config\Database::connect();
			if(defined($p) && $_POST[$p] != constant($p)) {
				$c = $_POST[$p];
				if($p == "admin_password") {
					if(!empty($c)) {
						$db->table("configs")->where("name", $p)->set("value", md5($c))->update();
					}
				}
				else {
					$db->table("configs")->where("name", $p)->set("value", $c)->update();
				}
			}
		}
		return $this->response->setJSON([
			"success" => true,
			"title" => lang("Common.settings_saved"),
			"message" => lang("Common.settings_saved_message")
		]);
	}
}
