<link rel="stylesheet" href="<?php echo base_url("assets/css/datatables.min.css"); ?>">
<link rel="stylesheet" href="<?php echo base_url("assets/css/datatables.responsive.min.css"); ?>">
<div class="p-0 container mt-4">
<div class="row">
<div class="col">
<div class="card card-small mb-4">
<div class="card-header border-bottom">
<a href="<?php echo base_url("domains/add"); ?>"><button class="btn btn-primary float-right"><?php echo lang("Common.add_domain"); ?></button></a>
</div>
<div class="card-body p-3">
<div class="table-responsive">
<table class="table mb-0 display nowrap">
<thead class="bg-light">
<tr>
<th scope="col" class="border-0"><?php echo lang("Common.id"); ?></th>
<th scope="col" class="col border-0"><?php echo lang("Common.domain_name"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.price"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.action"); ?></th>
</tr>
</thead>
<tbody>
<?php foreach($domains as $domain): ?>
<tr >
    <td style="vertical-align:middle"><?php echo $domain["id"]; ?></td>
    <td style="vertical-align:middle"><?php echo $domain["name"]; ?></td>
    <td style="vertical-align:middle"><?php echo $domain["price"] == 0 ? lang("Common.by_offer") : $domain["price"] . " ".money_sign; ?></td>
    <td style="vertical-align:middle">
        <a href="<?php echo base_url("domains/".$domain["id"]); ?>">
            <button class="btn btn-warning btn-sm btn-pill text-white"><?php echo lang("Common.edit"); ?></button>
        </a>
        <button class="btn btn-danger btn-sm btn-pill" onclick="deleteDomain(<?php echo $domain["id"]; ?>)"><?php echo lang("Common.delete"); ?></button>
    </td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>
</div>
<script src="<?php echo base_url("assets/js/datatables.min.js"); ?>"></script>
<script src="<?php echo base_url("assets/js/datatables.responsive.min.js"); ?>"></script>
<script>
$(".table").dataTable({
    "pageLength":5,
    "order": [[0, "desc"]],
    "bInfo": false,
    "lengthChange": false,
    "searching": false,
    "responsive": true,
    "language": {
        "paginate": {
            "previous": "<?php echo lang("Common.previous"); ?>",
            "next": "<?php echo lang("Common.next"); ?>"
        }
    }
});
function deleteDomain(id) {
    swal({
    title: "<?php echo lang("Common.are_you_sure"); ?>",
    text: "<?php echo lang("Common.delete_confirm_text"); ?>",
    icon: "warning",
    buttons: ["<?php echo lang("Common.cancel"); ?>","<?php echo lang("Common.delete"); ?>"],
    dangerMode: true,
}).then((result) => {
    if(result) {
    $.post("<?php echo base_url("domains/delete"); ?>/"+id, function(data) {
        swal({
            title: "<?php echo lang("Common.domain_deleted"); ?>",
            text: "<?php echo lang("Common.domain_deleted_message"); ?>",
            icon: "success"
        }).then(() => {
            window.location.href = window.location.href;
        });
    });
  }
})

}
</script>