<?php $language = !empty($language) ? $language : language;?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo lang("Front.for_sale", [], $language); ?>: <?php echo $domain["name"]; ?></title>
    <base href="<?php echo base_url(); ?>/">
    <link rel="icon" type="image/png" href="assets/img/favicon.png">
    <link rel="stylesheet" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/bootstrap-better-nav.min.css">
    <link rel="stylesheet" href="assets/css/shards.min.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/aos.css">
	<script src="assets/js/feather.min.js"></script>
    <?php if(recaptcha_enabled == "1"): ?>
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <?php endif; ?>
    <?php echo extra_header; ?>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark fixed-top">
    <div class="container" data-aos="fade">
    <a class="navbar-brand text-white"><?php echo site_name; ?></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
        <li class="nav-item">
            <?php foreach(json_decode(menu, true) as $menu_item): ?>
            <a class="nav-link" href="<?php echo $menu_item["link"]; ?>"><?php echo $menu_item["title"]; ?></a>
            <?php endforeach; ?>
        </li>
        </ul>
        <ul class="navbar-nav">
        <li class="nav-item dropdown ml-auto">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <?php
          switch($language) {
              case "tr":echo "Türkçe";break;
              case "en":echo "English";break;
          }
          ?>
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item <?php echo $language == "tr" ? "active text-dark" : ""; ?>" href="//<?php echo $domain["name"]; ?>?language=tr">Türkçe</a>
          <a class="dropdown-item <?php echo $language == "en" ? "active text-dark" : ""; ?>" href="//<?php echo $domain["name"]; ?>?language=en">English</a>
        </div>
        </li>
        </ul>
        <ul class="navbar-nav navbar-social">
        <?php if(!empty(facebook_url)): ?>
        <li class="nav-item ml-2">
            <a class="nav-link rounded-circle d-flex align-items-center social bg-facebook" href="<?php echo facebook_url; ?>">
				<i data-feather="facebook"></i>
            </a>
        </li>
        <?php endif; ?>
        <?php if(!empty(twitter_url)): ?>
        <li class="nav-item ml-2">
            <a class="nav-link rounded-circle d-flex align-items-center social bg-twitter" href="<?php echo twitter_url; ?>">
            <i data-feather="twitter"></i>
            </a>
        </li>
        <?php endif; ?>
        <?php if(!empty(instagram_url)): ?>
        <li class="nav-item ml-2">
            <a class="nav-link rounded-circle d-flex align-items-center social bg-instagram" href="<?php echo instagram_url; ?>">
            <i data-feather="instagram" class="instagram"></i>
            </a>
        </li>
        <?php endif; ?>
        <?php if(!empty(linkedin_url)): ?>
        <li class="nav-item ml-2">
            <a class="nav-link rounded-circle d-flex align-items-center social bg-linkedin" href="<?php echo linkedin_url; ?>">
            <i data-feather="linkedin"></i>
            </a>
        </li>
        <?php endif; ?>
    </ul>
    </div>
    </div>
    </nav>
    <div class="position-relative jumbo">
        <div class="container d-flex align-items-center h-100">
            <div class="col-lg-8 p-0" data-aos="zoom-in">
                <span class="badge badge-success mb-4"><?php echo $domain["name"]; ?></span>
                <h2 class="text-white m-0 pt-2"><?php echo lang("Front.for_sale", [], $language); ?>!</h2>
                <p class="text-white-50 h5 font-weight-light my-4 py-2"><?php echo $domain["price"] == 0 ? sprintf(lang("Front.sale_offer_text", [], $language), site_name) : sprintf(lang("Front.sale_price_text", [], $language), site_name, $domain["price"], money_sign); ?></p>
                <button id="offerButton" type="button" class="btn btn-success btn-pill d-flex align-items-center"><?php echo lang("Front.make_offer", [], $language); ?><i data-feather="arrow-right" class="ml-2"></i></button>
            </div>
        </div>
    </div>
    <div class="container py-5 overflow-xhidden">
        <div class="row align-items-center">
            <div class="col-lg-6" data-aos="fade-right">
				<i data-feather="help-circle" class="text-primary mb-2" style="width:50px;height:50px;"></i>
                <h4 class="my-4 text-primary"><?php echo lang("Front.whats_premium"); ?></h4>
                <?php echo lang("Front.whats_premium_text", [], $language); ?>
            </div>
            <div class="col-lg-6 text-center text-lg-right" data-aos="fade-left">
                <img src="assets/img/people.png" class="mw-100" style="height: 400px">
            </div>
        </div>
    </div>
    <div style="background:#fafafa">
        <div class="container overflow-xhidden py-5" data-aos="fade">
            <div class="text-center">
				<i data-feather="git-pull-request" class="text-primary mb-2" style="width:50px;height:50px;"></i>
            <h4 class="text-primary mb-5"><?php echo lang("Front.other_domains", [], $language); ?></h4>
            </div>
            <div class="row">
                <?php foreach($domains as $d): ?>
                <div class="col-md-4 mb-2">
                <a href="//<?php echo $d["name"]; ?>" target="_blank">
                    <div class="card h-100">
                        <div class="card-body d-flex align-items-center">
                            <div class="col p-0">
                                <h5 class="m-0"><?php echo $d["name"]; ?></h5>
                                <h6 class="mb-0 mt-2 text-black-50"><?php echo lang("Front.price", [], $language); ?>: <?php echo $d["price"] == 0 ? lang("Front.by_offer", [], $language) : $d["price"]." ".money_sign; ?></h6>
                            </div>
                            <div>
                            <svg class="feather text-primary" style="width:30px;height:30px;"><use xlink:href="assets/img/feather-sprite.svg#mouse-pointer"/></svg>
                            </div>
                        </div>
                    </div>
                </a>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
    <div class="container py-5 overflow-xhidden" id="offerForm">
        <div class="row align-items-center">
            <div class="col-lg-6 text-center text-lg-left" data-aos="fade-right">
                <img src="assets/img/contact.png" class="mw-100" style="height: 400px">
            </div>
            <div class="col-lg-6" data-aos="fade-left">
				<i data-feather="send" class="text-primary mb-2" style="width:50px;height:50px;"></i>
                <h4 class="my-4 text-primary"><?php echo lang("Front.make_offer", [], $language); ?></h4>
                <form class="ajaxForm" action="<?php echo base_url("front/offer"); ?>" method="post">
                <input type="hidden" name="domain" value="<?php echo $domain["name"]; ?>">
                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="name-addon">
								<i data-feather="user"></i>
                            </span>
                        </div>
                        <input required type="text" name="name" class="form-control" placeholder="<?php echo lang("Front.enter_name", [], $language); ?>" aria-label="<?php echo lang("Front.name", [], $language); ?>" aria-describedby="name-addon">
                    </div>
                    <div class="input-group mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="email-addon">
                            <i data-feather="mail"></i>
                            </span>
                        </div>
                        <input required type="email" name="email" class="form-control" placeholder="<?php echo lang("Front.enter_email", [], $language); ?>" aria-label="<?php echo lang("Front.email", [], $language); ?>" aria-describedby="email-addon">
                    </div>
                    <div class="input-group mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="phone-addon">
                            <i data-feather="phone"></i>
                            </span>
                        </div>
                        <input type="tel" name="phone" class="form-control" placeholder="<?php echo lang("Front.enter_phone", [], $language); ?>" aria-label="<?php echo lang("Front.phone", [], $language); ?>" aria-describedby="phone-addon">
                    </div>
                    <div class="input-group mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="email-addon">
                            <i data-feather="edit-3"></i>
                            </span>
                        </div>
                        <input min="<?php echo $domain["min_offer"] != 0 ? $domain["min_offer"] : $domain["price"]; ?>" value="<?php echo $domain["price"] != 0 ? $domain["price"]: ""; ?>" <?php echo $domain["price"] != 0 ? "readonly": ""; ?> required type="number" name="offer" class="form-control" placeholder="<?php echo lang("Front.enter_offer", [], $language); ?>" aria-label="<?php echo lang("Front.offer"); ?>" aria-describedby="email-addon">
                        <div class="input-group-append">
                            <span class="input-group-text text-secondary"><?php echo money_sign; ?></span>
                        </div>
                    </div>
                    <div class="input-group mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="msg-addon">
                            <i data-feather="edit-2"></i>
                            </span>
                        </div>
                        <textarea style="height:70px;resize:none;" name="message" class="form-control" placeholder="<?php echo lang("Front.enter_message", [], $language); ?>" aria-label="<?php echo lang("Front.message", [], $language); ?>" aria-describedby="msg-addon"></textarea>
                    </div>
					<?php if(recaptcha_enabled == "1"): ?>
                    <div class="mt-3 g-recaptcha" data-sitekey="<?php echo recaptcha_site_key; ?>"></div>
					<?php endif; ?>
                    <button type="submit" class="btn btn-primary mt-3"><?php echo lang("Front.submit", [], $language); ?></button>
                </div>
                </form>
            </div>
        </div>
    </div>
    <script src="assets/js/jquery-3.3.1.min.js"></script>
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script src="assets/js/bootstrap-better-nav.min.js"></script>
    <script src="assets/js/shards.min.js"></script>
    <script src="assets/js/sweetalert.min.js"></script>
    <script src="assets/js/script.js"></script>
    <script src="assets/js/aos.js"></script>
    <?php echo extra_footer; ?>
</body>
</html>