<!DOCTYPE html>
<html lang="<?php echo language; ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $title; ?> - <?php echo lang("Common.admin_panel"); ?></title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="icon" type="image/png" href="<?php echo base_url("assets/img/favicon.png"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/css/shards-dashboards.min.css"); ?>">
    <script src="<?php echo base_url("assets/js/jquery-3.3.1.min.js"); ?>"></script>
    <style>.swal-footer {text-align: center;}</style>
</head>
<body class="h-100">
<div class="container-fluid">
      <div class="row">
        <aside class="main-sidebar col-12 col-md-3 col-lg-2 px-0">
          <div class="main-navbar">
            <nav class="navbar align-items-stretch navbar-light bg-white flex-md-nowrap border-bottom p-0">
              <a class="navbar-brand w-100 mr-0" href="<?php echo base_url(); ?>" style="line-height: 25px;">
                <div class="d-table m-auto">
                  <span><?php echo lang("Common.admin_panel"); ?></span>
                </div>
              </a>
              <a class="toggle-sidebar d-sm-inline d-md-none d-lg-none">
                <i class="material-icons">&#xE5C4;</i>
              </a>
            </nav>
          </div>
          
          <div class="nav-wrapper">
            <ul class="nav flex-column">
              <li class="nav-item <?php echo $page == "dashboard" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url(); ?>">
                  <i class="material-icons">dashboard</i>
                  <span><?php echo lang("Common.dashboard"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "domains" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("domains"); ?>">
                  <i class="material-icons">dns</i>
                  <span><?php echo lang("Common.domains"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "offers" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("offers"); ?>">
                  <i class="material-icons">bubble_chart</i>
                  <span><?php echo lang("Common.offers"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "menu" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("menu"); ?>">
                  <i class="material-icons">menu</i>
                  <span><?php echo lang("Common.menu_settings"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "telegram_settings" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("telegram"); ?>">
                  <i class="material-icons">send</i>
                  <span><?php echo lang("Common.telegram_settings"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "email_settings" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("email"); ?>">
                  <i class="material-icons">email</i>
                  <span><?php echo lang("Common.email_settings"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "recaptcha_settings" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("recaptcha"); ?>">
                  <i class="material-icons">settings_backup_restore</i>
                  <span><?php echo lang("Common.recaptcha_settings"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "general_settings" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("settings"); ?>">
                  <i class="material-icons">settings</i>
                  <span><?php echo lang("Common.general_settings"); ?></span>
                </a>
              </li>
              <li class="nav-item <?php echo $page == "profile_settings" ? "active" : ""; ?>">
                <a class="nav-link" href="<?php echo base_url("profile"); ?>">
                  <i class="material-icons">account_circle</i>
                  <span><?php echo lang("Common.admin_profile"); ?></span>
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="<?php echo base_url("logout"); ?>">
                  <i class="material-icons">logout</i>
                  <span><?php echo lang("Common.logout"); ?></span>
                </a>
              </li>
            </ul>
          </div>
        </aside>
        <div class="main-navbar sticky-top d-lg-none bg-white w-100 text-right">
          <nav class="navbar align-items-stretch navbar-light flex-md-nowrap p-0">
              <nav class="nav ml-auto">
                <a href="#" class="nav-link nav-link-icon toggle-sidebar d-md-inline d-lg-none text-center border-left" data-toggle="collapse" data-target=".header-navbar" aria-expanded="false" aria-controls="header-navbar">
                  <i class="material-icons"></i>
                </a>
              </nav>
            </nav>
          </div>
        <main style="flex-direction:column;height:100vh;" class="d-flex main-content col-lg-10 col-md-9 col-sm-12 p-0 offset-lg-2 offset-md-3">
          <div style="flex-grow:1;" class="p-4">
          <h4><?php echo $title; ?></h4>
          