<!DOCTYPE html>
<html lang="<?php echo language; ?>">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php echo lang("Auth.login"); ?> - <?php echo lang("Common.admin_panel"); ?></title>
	<link rel="stylesheet" href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>">
    <link rel="stylesheet" href="<?php echo base_url("assets/css/shards.min.css"); ?>">
	<script src="<?php echo base_url("assets/js/feather.min.js"); ?>"></script>
	<style>.swal-footer {text-align: center;}</style>
</head>
<body style="height: 100vh;" class="d-flex align-items-center">
	<div class="container">
		<div class="row justify-content-center">
			<div class="card col-md-7 p-5 shadow">
				<h4 class="m-0"><?php echo lang("Auth.login"); ?></h4>
				<p class="my-3"><?php echo lang("Auth.login_text"); ?></p>
				<form action="" method="post" class="ajaxForm">
				<div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="name-addon">
						<i data-feather="user"></i>
						</span>
                    </div>
                    <input required type="text" name="username" class="form-control" placeholder="<?php echo lang("Auth.enter_username"); ?>" aria-label="<?php echo lang("Auth.username"); ?>" aria-describedby="name-addon">
                </div>
				<div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="pass-addon">
						<i data-feather="key"></i>
						                        </span>
                    </div>
                    <input required type="password" name="password" class="form-control" placeholder="<?php echo lang("Auth.enter_password"); ?>" aria-label="<?php echo lang("Auth.password"); ?>" aria-describedby="pass-addon">
                </div>
				<button type="submit" class="btn btn-primary"><?php echo lang("Auth.login"); ?></button>
				</form>
			</div>
		</div>
	</div>
	<script src="<?php echo base_url("assets/js/jquery-3.3.1.min.js"); ?>"></script>
    <script src="<?php echo base_url("assets/js/popper.min.js"); ?>"></script>
    <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    <script src="<?php echo base_url("assets/js/shards.min.js"); ?>"></script>
	<script src="<?php echo base_url("assets/js/sweetalert.min.js"); ?>"></script>
	<script>
	$(".ajaxForm").submit(function(e) {
		e.preventDefault();
		var url = $(this).attr("action");
		$.ajax({
			type: $(this).attr("method"),
			url: url,
			data: $(this).serialize(),
			success: function(data)
			{
				if(data.success) {
					swal(data.title,data.message,"success");
					setInterval(function() {
						window.location = "<?php echo base_url(); ?>";
					}, 1500);
				}
				else {
					swal(data.title,data.message,"error");
				}
			}
			});
	});
	feather.replace();
	</script>
</body>
</html>