<link rel="stylesheet" href="<?php echo base_url("assets/css/datatables.min.css"); ?>">
<link rel="stylesheet" href="<?php echo base_url("assets/css/datatables.responsive.min.css"); ?>">
<div class="modal" id="offerModal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"><?php echo lang("Common.offer_details"); ?></h5>
        <button type="button" class="close" data-dismiss="modal">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p><b><?php echo lang("Common.offer_name"); ?>:</b> <span id="offerName" class="font-weight-normal"></span></p>
        <p><b><?php echo lang("Common.phone_number"); ?>:</b> <span id="offerPhone" class="font-weight-normal"></span></p>
        <p><b><?php echo lang("Common.email_address"); ?>:</b> <span id="offerEmail" class="font-weight-normal"></span></p>
        <hr>
        <p><b><?php echo lang("Common.domain_name"); ?>:</b> <span id="offerDomain" class="font-weight-normal"></span></p>
        <p><b><?php echo lang("Common.offer_amount"); ?>:</b> <span id="offerAmount" class="font-weight-normal"></span></p>
        <p><b><?php echo lang("Common.extra_message"); ?>:</b> <span id="offerMessage" class="font-weight-normal"></span></p>
        <p><b><?php echo lang("Common.date"); ?>:</b> <span id="offerDate" class="font-weight-normal"></span></p>
        <a id="wpMessage" target="_blank"><button class="btn btn-success"><?php echo lang("Common.send_whatsapp"); ?></button></a>
        <a id="emailMessage" target="_blank"><button class="btn btn-primary"><?php echo lang("Common.send_email"); ?></button></a>
      </div>
    </div>
  </div>
</div>
<div class="p-0 container mt-4">
<div class="row">
<div class="col">
<div class="card card-small mb-4">
<div class="card-body p-3">
<div class="table-responsive">
<table class="table mb-0 display nowrap" data-read="<?php echo lang("Common.hasread"); ?>">
<thead class="bg-light">
<tr>
<th scope="col" class="border-0"><?php echo lang("Common.id"); ?></th>
<th scope="col" class="col border-0"><?php echo lang("Common.offer_name"); ?></th>
<th scope="col" class="col border-0"><?php echo lang("Common.domain_name"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.price"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.date"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.status"); ?></th>
<th scope="col" class="border-0"><?php echo lang("Common.action"); ?></th>
</tr>
</thead>
<tbody>
<?php foreach($offers as $offer): ?>
<tr>
    <td style="vertical-align:middle"><?php echo $offer["id"]; ?></td>
    <td style="vertical-align:middle"><?php echo $offer["name"]; ?></td>
    <td style="vertical-align:middle"><?php echo $offer["domain"]; ?></td>
    <td style="vertical-align:middle"><?php echo date("d/m/Y H:i:s",$offer["date"]); ?></td>
    <td style="vertical-align:middle"><?php echo $offer["offer"]." ".money_sign; ?></td>
    <td style="vertical-align:middle"><?php echo $offer["seen"] == 0 ? lang("Common.unread") : lang("Common.hasread"); ?></td>
    <td style="vertical-align:middle">
        <button class="btn btn-info btn-sm btn-pill text-white" onclick="showDetails(this, <?php echo $offer["id"]; ?>,'<?php echo addslashes(htmlspecialchars($offer["name"])); ?>','<?php echo addslashes(htmlspecialchars($offer["domain"])); ?>','<?php echo addslashes(htmlspecialchars($offer["email"])); ?>','<?php echo addslashes(htmlspecialchars($offer["phone"])); ?>','<?php echo htmlspecialchars($offer["offer"]); ?>','<?php echo addslashes(htmlspecialchars($offer["message"])); ?>','<?php echo date("d/m/Y H:i:s", $offer["date"]); ?>', <?php echo $offer["seen"]; ?>)"><?php echo lang("Common.details"); ?></button>
        <button class="btn btn-danger btn-sm btn-pill" onclick="deleteOffer(<?php echo $offer["id"]; ?>)"><?php echo lang("Common.delete"); ?></button>
    </td>
</tr>
<?php endforeach; ?>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>
</div>
<script src="<?php echo base_url("assets/js/datatables.min.js"); ?>"></script>
<script src="<?php echo base_url("assets/js/datatables.responsive.min.js"); ?>"></script>
<script>
$(".table").dataTable({
    "pageLength":5,
    "order": [[0, "desc"]],
    "bInfo": false,
    "lengthChange": false,
    "searching": false,
    "responsive": true,
    "language": {
        "paginate": {
            "previous": "<?php echo lang("Common.previous"); ?>",
            "next": "<?php echo lang("Common.next"); ?>"
        }
    }
});
function showDetails(e, id, name, domain, email, phone, offer, message, date, seen) {
    $("#offerName").text(name);
    $("#offerDomain").text(domain);
    $("#offerEmail").text(email);
    $("#offerPhone").text(phone);
    $("#offerAmount").text(offer + " <?php echo money_sign; ?>");
    $("#offerMessage").text(message);
    $("#offerDate").text(date);
    var gPhone = phone[0] == "0" ? "9"+phone : phone;
    var gMessage = "<?php echo lang("Common.wp_message"); ?>".replace("%domain%",domain);
    $("#wpMessage").attr("href", "https://api.whatsapp.com/send?phone="+gPhone+"&text="+encodeURI(gMessage));
    $("#emailMessage").attr("href","mailto:"+email+"?subject="+domain+"&body="+gMessage);
    $('#offerModal').modal();
    if(seen == 0) {
        $.post("<?php echo base_url("offers"); ?>/"+id, function() {
            e.parentNode.parentNode.getElementsByTagName("td")[5].innerText = $("table").data("read");
        });
    }
}
function deleteOffer(id) {
    swal({
    title: "<?php echo lang("Common.are_you_sure"); ?>",
    text: "<?php echo lang("Common.delete_confirm_text"); ?>",
    icon: "warning",
    buttons: ["<?php echo lang("Common.cancel"); ?>","<?php echo lang("Common.delete"); ?>"],
    dangerMode: true,
}).then((result) => {
    if(result) {
    $.post("<?php echo base_url("offers/delete"); ?>/"+id, function(data) {
        swal({
            title: "<?php echo lang("Common.offer_deleted"); ?>",
            text: "<?php echo lang("Common.offer_deleted_message"); ?>",
            icon: "success"
        }).then(() => {
            window.location.href = window.location.href;
        });
    });
  }
})

}
</script>